summaryrefslogtreecommitdiff
path: root/src/auditor/test-auditor.sh
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2019-09-06 02:45:30 +0200
committerChristian Grothoff <christian@grothoff.org>2019-09-06 02:45:57 +0200
commit58c3e4d98ffd4c6ad07fadaf0245355dae7eb6a9 (patch)
treeec96b206c895f757b973723d982c7cd924f5a6bc /src/auditor/test-auditor.sh
parentb93fbac1cc9d214c8eaf61d0c5fa9a6d6e3af5aa (diff)
downloadexchange-58c3e4d98ffd4c6ad07fadaf0245355dae7eb6a9.tar.gz
exchange-58c3e4d98ffd4c6ad07fadaf0245355dae7eb6a9.tar.bz2
exchange-58c3e4d98ffd4c6ad07fadaf0245355dae7eb6a9.zip
move basedb generation to auditor/
Diffstat (limited to 'src/auditor/test-auditor.sh')
-rwxr-xr-xsrc/auditor/test-auditor.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/src/auditor/test-auditor.sh b/src/auditor/test-auditor.sh
index f2a1aca56..7a7f0d29d 100755
--- a/src/auditor/test-auditor.sh
+++ b/src/auditor/test-auditor.sh
@@ -70,7 +70,13 @@ function audit_only () {
echo -n "Running audit(s) ..."
taler-auditor -r -c $CONF -m $MASTER_PUB > test-audit.json 2> test-audit.log || exit_fail "auditor failed"
echo -n "."
+ # Also do incremental run
+ taler-auditor -c $CONF -m $MASTER_PUB > test-audit-inc.json 2> test-audit-inc.log || exit_fail "auditor failed"
+ echo -n "."
taler-wire-auditor -r -c $CONF -m $MASTER_PUB > test-wire-audit.json 2> test-wire-audit.log || exit_fail "wire auditor failed"
+ # Also do incremental run
+ echo -n "."
+ taler-wire-auditor -c $CONF -m $MASTER_PUB > test-wire-audit-inc.json 2> test-wire-audit-inc.log || exit_fail "wire auditor failed"
echo " DONE"
}
@@ -210,7 +216,7 @@ echo -n "Check for lag detection... "
# re-generating the test database as we do not
# report lag of less than 1h (see GRACE_PERIOD in
# taler-wire-auditor.c)
-AGE=`stat -c %Y ../benchmark/auditor-basedb.fees`
+AGE=`stat -c %Y ${BASEDB}.fees`
NOW=`date +%s`
DELTA=`expr $NOW - $AGE`
if [ $DELTA -gt 3600 ]
@@ -994,7 +1000,7 @@ echo "UPDATE app_banktransaction SET date='${OLD_DATE}' WHERE id='${OLD_ID}';" |
# Postgres database to use
DB=taler-auditor-test
# Prefix for the data resources to use
-BASEDB="../benchmark/auditor-basedb"
+BASEDB="auditor-basedb"
MASTER_PUB=`cat ${BASEDB}.mpub`
# Configuration file to use
CONF=test-auditor.conf